## visad
Interface RemoteSourceListener

All Known Subinterfaces:
  DataSourceListener

public interface RemoteSourceListener

The interface for objects which need to be informed when a remote data source goes away.

Method Summary
`void` `collabSourceLost(int connectionID)` A remote collaboration peer is no longer available.
`void` `dataSourceLost(String name)` A remote `Data` object is no longer available.

Method Detail

### dataSourceLost

    public void dataSourceLost(String name)

  A remote `Data` object is no longer available.

  Parameters:
    `name` - The name of the `Data` object.

### collabSourceLost

    public void collabSourceLost(int connectionID)

  A remote collaboration peer is no longer available.